package samples;

import static java.lang.Double.parseDouble;
import static java.lang.Integer.parseInt;
/**
 * Java application testing "static import"
 *
 * @version 1.01 02/02/2005
 * @author  John Jay King
 *
 * Will not compile in Java 1.4 or earlier
 *
 */
public class StaticImportDemo {
  public static void main(String[] args) {

	String intValue = "123";
	String dblValue = "567.89";
	double resultValue = 0;

	try {
		resultValue = parseInt(intValue) + parseDouble(dblValue);
		System.out.println("resultValue is " + resultValue);
	}
	catch (NumberFormatException e) {
		System.out.println("Either intValue or dblValue not numeric");
	}
	return;
   }
}


